﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Xna.Framework;
using UnitLibrary.GameObjects.Units;

namespace UnitLibrary.Managers
{
    public class BulletM: UnitM<Bullet>
    {
        public BulletM(Game game, ComponentM components, int maxEnemies)
            : base(game, components, UnitID.Bullet)
        {
        }

        public override void LoadContent()
        {
            //todo: make unit manager data be a part of unit manager, and not encapsulated
            _unitManagerData = _components.ContentManager.Load<UnitManagerData>("content\\units\\managerdata\\managerdatabullets");
            _maxObjects = _unitManagerData.MaxNumberOfUnits;
            base.LoadContent();
        }

        public override void Create(string assetName, Vector2 location, Vector2 direction)
        {
            //_components.particleEffects.TriggerEmitter("explosion", location);
            base.Create(assetName, location, direction);
        }
    }
}
