﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using UnitLibrary.Managers;
using Microsoft.Xna.Framework.Graphics;
using UnitLibrary.GameObjects.Units;

namespace UnitLibrary.GameObjects.PowerUpEffects
{
    public interface IPowerUp
    {
        string Name
        { get; set; }

        bool IsPermanent
        { get; set; }

        double Duration
        { get; set; }

        bool IsEnabled
        { get; set; }

        UnitID UnitType
        { get; set; }

        void Create(object existingInstance, ComponentM components);
        void Apply();
        void Remove();
        void Update(GameTime gameTime);
    }
}
