using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;
using Microsoft.Xna.Framework.Net;
using Microsoft.Xna.Framework.Storage;



namespace UnitLibrary.Managers
{    
    public class InputM : Manager
    {
        private MouseState _mousePreviousState;
        private MouseState _mouseCurrentState;

        private KeyboardState _keyboardPreviousState;
        private KeyboardState _keyboardCurrentState;

        public InputM(Game game, ComponentM gameScreen)
            : base(game, gameScreen)
        {
            // TODO: Construct any child components here
        }

        /// <summary>
        /// Allows the game component to update itself.
        /// </summary>
        /// <param name="gameTime">Provides a snapshot of timing values.</param>
        public void Update(GameTime gameTime)
        {
            //If the player moves
            //If the player fires
            //If the player clicks
            _mouseCurrentState = Mouse.GetState();
            _keyboardCurrentState = Keyboard.GetState();
            _mousePreviousState = _mouseCurrentState;
            _keyboardPreviousState = _keyboardCurrentState;
        }
    }
}