﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnitLibrary.GameObjects.Units;
using Microsoft.Xna.Framework;
using UnitLibrary.GameObjects;

namespace UnitLibrary.Managers
{
    /// <summary>
    /// Class to handle the power ups
    /// </summary>
    public class PowerUpPickUp: UnitM<PowerUp>
    {
        public PowerUpPickUp(Game game, ComponentM components)
            : base(game, components, UnitID.PowerUp)
        { }

        public override void Remove(Iid id)
        {
            _components.CreateUnit(UnitID.PowerUp, _unitPool.Get(id.NodeID).Item.Name, Vector2.Zero, Vector2.Zero); 
            base.Remove(id);
        }
    }
}
